Package fr.gouv.vitam.logbook.common.model.coherence

# Enum Class LogbookEventName

java.lang.Object
java.lang.Enum<LogbookEventName>
fr.gouv.vitam.logbook.common.model.coherence.LogbookEventName

All Implemented Interfaces:
  `Serializable`, `Comparable<LogbookEventName>`, `Constable`

public enum LogbookEventName extends Enum<LogbookEventName>
Enumeration of the LogbookEvent names.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVID`
  `EVID_PROC`
  `EVPARENT_ID`
  `EVTYPE`
  `EVTYPE_PARENT`
  `ID`
  `OUTCOME`
  `OUTCOMEDETAILS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  getValue.
  `static LogbookEventName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogbookEventName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID

    public static final LogbookEventName ID

  - ### EVID_PROC

    public static final LogbookEventName EVID_PROC

  - ### EVTYPE

    public static final LogbookEventName EVTYPE

  - ### EVTYPE_PARENT

    public static final LogbookEventName EVTYPE_PARENT

  - ### OUTCOME

    public static final LogbookEventName OUTCOME

  - ### EVID

    public static final LogbookEventName EVID

  - ### OUTCOMEDETAILS

    public static final LogbookEventName OUTCOMEDETAILS

  - ### EVPARENT_ID

    public static final LogbookEventName EVPARENT_ID

- ## Method Details

  - ### values

    public static LogbookEventName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogbookEventName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    getValue.
    Returns: